<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-285"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FDeviceManager%2FXHXDeviceManager.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/DeviceManager/XHXDeviceManager.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_device_manager_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXDeviceManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_device_manager_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXDeviceManager.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  CKKit</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2018/4/4.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="interface_x_h_x_device_manager.html">   10</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_device_manager.html">XHXDeviceManager</a> : NSObject</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp;<span class="comment">//获取路径文件</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">documentDirectory</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;<span class="comment">//打开appstore</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;+ (void)openAppStore:(NSString *)appstoreID;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a2e073959d4af599e4f30d9328c10f88f">getIOSVersion</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a085a7739cdce0d342f7ee650c0152820">getIPAddress</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#af872cb3642699140b648159890e5e88f">getUserAgent</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a40d8dd0698975ba71440089a7439b2f1">getVersion</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a1135a40aef2b6e46c99ad8f946c122d3">getDeviceModelName</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a057bb4ff80167d779a09dca7ae998a4a">getCarrierName</a>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&nbsp; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a4c13d3e75be828f92a531ebc5c7b054e">getIMSI</a>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&nbsp; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&nbsp;+ (NSString *)<a class="code" href="interface_x_h_x_device_manager.html#a3a151013ba67485638eeee32bf1b8522">getIphoneUUID</a>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&nbsp; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;+ (BOOL)firstAppearAtThisVersionForKey:(NSString *)key;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_device_manager_html"><div class="ttname"><a href="interface_x_h_x_device_manager.html">XHXDeviceManager</a></div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.h:11</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a40d8dd0698975ba71440089a7439b2f1"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a40d8dd0698975ba71440089a7439b2f1">+[XHXDeviceManager getVersion]</a></div><div class="ttdeci">NSString * getVersion()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:81</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a4c13d3e75be828f92a531ebc5c7b054e"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a4c13d3e75be828f92a531ebc5c7b054e">+[XHXDeviceManager getIMSI]</a></div><div class="ttdeci">NSString * getIMSI()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:166</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a1135a40aef2b6e46c99ad8f946c122d3"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a1135a40aef2b6e46c99ad8f946c122d3">+[XHXDeviceManager getDeviceModelName]</a></div><div class="ttdeci">NSString * getDeviceModelName()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:84</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a057bb4ff80167d779a09dca7ae998a4a"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a057bb4ff80167d779a09dca7ae998a4a">+[XHXDeviceManager getCarrierName]</a></div><div class="ttdeci">NSString * getCarrierName()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:155</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_af872cb3642699140b648159890e5e88f"><div class="ttname"><a href="interface_x_h_x_device_manager.html#af872cb3642699140b648159890e5e88f">+[XHXDeviceManager getUserAgent]</a></div><div class="ttdeci">NSString * getUserAgent()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:77</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a085a7739cdce0d342f7ee650c0152820"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a085a7739cdce0d342f7ee650c0152820">+[XHXDeviceManager getIPAddress]</a></div><div class="ttdeci">NSString * getIPAddress()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:50</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a6c80a82e571c1dc6730b6bd61747d337"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">+[XHXDeviceManager documentDirectory]</a></div><div class="ttdeci">NSString * documentDirectory()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:22</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a3a151013ba67485638eeee32bf1b8522"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a3a151013ba67485638eeee32bf1b8522">+[XHXDeviceManager getIphoneUUID]</a></div><div class="ttdeci">NSString * getIphoneUUID()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:182</div></div>
<div class="ttc" id="ainterface_x_h_x_device_manager_html_a2e073959d4af599e4f30d9328c10f88f"><div class="ttname"><a href="interface_x_h_x_device_manager.html#a2e073959d4af599e4f30d9328c10f88f">+[XHXDeviceManager getIOSVersion]</a></div><div class="ttdeci">NSString * getIOSVersion()</div><div class="ttdef"><b>Definition:</b> XHXDeviceManager.m:45</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_462446f3f8353c22f039f019986a670a.html">DeviceManager</a></li><li class="navelem"><a class="el" href="_x_h_x_device_manager_8h.html">XHXDeviceManager.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>